<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/root"
    android:layout_width="243dp"
    android:layout_height="212dp"
    android:layout_margin="@dimen/common_spacing_small"
    android:background="@drawable/item_rv_manual_replacement_bg">

    <LinearLayout
        android:id="@+id/ll_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/divider_line_width"
        android:layout_marginTop="@dimen/divider_line_width"
        android:orientation="horizontal">

        <TextView
            style="@style/CommonTextView"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:background="@color/bar_bg"
            android:paddingVertical="@dimen/common_spacing_small"
            android:text="@string/old_material" />

        <TextView
            style="@style/CommonTextView"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:background="@color/bar_bg"
            android:paddingVertical="@dimen/common_spacing_small"
            android:text="@string/new_material" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true">
        <TextView
            android:id="@+id/tv_confirm"
            style="@style/CommonBtnRed"
            android:layout_width="56dp"
            android:layout_height="17dp"
            android:layout_marginVertical="3dp"
            android:layout_marginRight="3dp"
            android:padding="0dp"
            android:text="@string/confirm_replacement"
            android:textSize="@dimen/common_text_size_small" />

        <TextView
            android:id="@+id/tv_reset"
            style="@style/CommonBtnRed"
            android:layout_width="56dp"
            android:layout_height="17dp"
            android:layout_marginVertical="3dp"
            android:layout_marginRight="3dp"
            android:backgroundTint="@color/common_light_gray"
            android:padding="0dp"
            android:text="@string/reset_modification"
            android:textSize="@dimen/common_text_size_small" />
    </LinearLayout>

    <View
        android:id="@+id/v_bottom_divider"
        android:layout_width="match_parent"
        android:layout_height="@dimen/divider_line_width"
        android:layout_above="@id/ll_btn"
        android:background="@color/main_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/v_bottom_divider"
        android:layout_below="@id/ll_title"
        android:orientation="horizontal">

        <!-- 旧物资 -->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="68dp">

                <ImageView
                    android:id="@+id/iv_old"
                    android:layout_width="53dp"
                    android:layout_height="53dp"
                    android:layout_centerInParent="true" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_name_old"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:enabled="false"
                app:name="@string/name"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_type_old"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:enabled="false"
                app:mode="select"
                app:name="@string/type"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_model_old"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:enabled="false"
                app:mode="select"
                app:name="@string/model"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_rfid_old"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:enabled="false"
                app:mode="input"
                app:name="@string/rfid"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_date_old"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:enabled="false"
                app:mode="date"
                app:name="@string/valid_date"
                app:required="false" />
        </LinearLayout>

        <View
            android:layout_width="@dimen/divider_line_width"
            android:layout_height="match_parent"
            android:background="@color/main_color" />

        <!-- 新物资 -->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="68dp">

                <ImageView
                    android:id="@+id/iv_new"
                    android:layout_width="53dp"
                    android:layout_height="53dp"
                    android:layout_centerInParent="true" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_name_new"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:name="@string/name"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_type_new"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:mode="select"
                app:name="@string/type"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_model_new"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:mode="select"
                app:name="@string/model"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_rfid_new"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:mode="input"
                app:name="@string/rfid"
                app:required="false" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/divider_line_width"
                android:background="@color/main_color" />

            <com.grkj.iscs_mc.view.widget.SelectableInput
                android:id="@+id/ci_date_new"
                android:layout_width="wrap_content"
                android:layout_height="13dp"
                android:layout_gravity="right"
                android:layout_marginVertical="2.2dp"
                android:layout_marginRight="@dimen/common_spacing_small"
                app:edit_width="85dp"
                app:mode="date"
                app:name="@string/valid_date"
                app:required="false" />
        </LinearLayout>
    </LinearLayout>

</RelativeLayout>